GNU bug report logs - #49575
[PATCH] Add date2name

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: phodina <phodina@HIDDEN>; Keywords: patch; merged with #49735; dated Thu, 15 Jul 2021 16:10:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 49575 49735. Request was from Sarah Morgensen <iskarian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2021 10:24:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 18 06:24:25 2021
Received: from localhost ([127.0.0.1]:55233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m53yD-0003uI-3l
	for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 06:24:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:45824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1m53y9-0003u9-FF
 for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 06:24:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56328)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m53y9-0008L6-8s
 for guix-patches@HIDDEN; Sun, 18 Jul 2021 06:24:21 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:34447)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m53y6-0006zw-FG
 for guix-patches@HIDDEN; Sun, 18 Jul 2021 06:24:20 -0400
Date: Sun, 18 Jul 2021 10:24:06 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626603848;
 bh=cjis3u8CcXeTuF7/LnC3I6baho0ab1Wu+fFp0UkL9yo=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=O9AfMj8DEdylnEweRrITJmSMcolz6z44n3dUjeTYj0tr7s0vn641Y1JRglb/9vSlt
 gUms8SiFrCFxbfM0HvrI2u9a9tFwald82x7QwktI+zZXVgzj4OdA41w1jDgLHpoZaw
 GTH8Z6g0ya+7Z405ZaaepHKFvHysmARFKHjn32jE=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: Re: [PATCH] Add date2name
Message-ID: <gHjvOIOOkGRdbmGmB40mbTNr9jRjJGH8UJ7ggEOhHRmmQJUa67jCdVc6AhXD8iPlArcId65nCpiwgXelarQBjooRtxokmKDnh3Ej5vWcg3w=@protonmail.com>
In-Reply-To: <YNMAEZWdRC39gDCVHBz_cniWC4i4jHHBfWyp8ELtjLIS108av5r4134bqogTVLaI-9SUoE2FIiF4yufNclwGj-r_T_Sj5ZdNZVxzAP_m-U4=@protonmail.com>
References: <YNMAEZWdRC39gDCVHBz_cniWC4i4jHHBfWyp8ELtjLIS108av5r4134bqogTVLaI-9SUoE2FIiF4yufNclwGj-r_T_Sj5ZdNZVxzAP_m-U4=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.22; envelope-from=phodina@HIDDEN;
 helo=mail-4322.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Here's updated patch with following changes:
- removed trailing whitespace
- add comment for git commit
- add comment for no tests
- lines have less than 80 chars

---
index 2a4f50ad46..220ac39e1d 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -905,6 +905,40 @@ for the @code{pytest} framework.")
 rounds that are calibrated to the chosen timer.")
     (license license:bsd-2)))

+
+(define-public python-date2name
+(package
+  (name "date2name")
+  (version "6c8f37277e8ec82aa50f90b8921422be30c4e798") ; no tags
+  (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://github.com/novoid/date2name")
+                  (commit version)))
+            (sha256
+             (base32
+              "1vq96b7n16d932nyfhnzwdwxff0zrqanidmwr4cxj2p67ad9y3w7"))))
+  (build-system python-build-system)
+  (arguments
+    `(#:tests? #f ; no tests
+      #:phases
+      (modify-phases %standard-phases
+       (delete 'build)
+       (replace 'install
+        (lambda* (#:key outputs #:allow-other-keys)
+         (let* ((bindir (string-append (assoc-ref outputs "out") "/bin"))
+                (binary (string-append bindir "/date2name")))
+          (mkdir-p bindir)
+          (copy-file "date2name/__init__.py" binary)
+          (chmod binary #o555)))))))
+  (synopsis "Handling time-stamps and date-stamps in file names")
+  (description "Per default, date2name gets the modification time of match=
ing
+files and directories and adds a datestamp in standard ISO 8601+ format
+YYYY-MM-DD (http://datestamps.org/index.shtml) at the beginning of the fil=
e-
+or directoryname.")
+  (home-page "https://github.com/novoid/date2name")
+  (license license:gpl3)))
+
 (define-public python-pytest-xvfb
   (package
     (name "python-pytest-xvfb")
--
2.31.1




Information forwarded to guix-patches@HIDDEN:
bug#49575; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jul 2021 16:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 15 12:09:22 2021
Received: from localhost ([127.0.0.1]:49534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m43vD-0001wf-UD
	for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 12:09:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:54376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1m43re-0001r5-M9
 for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 12:05:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45648)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m43rd-0001s7-RF
 for guix-patches@HIDDEN; Thu, 15 Jul 2021 12:05:30 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:33862)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m43ra-0002uC-7C
 for guix-patches@HIDDEN; Thu, 15 Jul 2021 12:05:29 -0400
Date: Thu, 15 Jul 2021 16:05:13 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626365116;
 bh=riUYZPyhMNib5bpK5V/rw3+cZCijGqUngFOjm0ze464=;
 h=Date:To:From:Reply-To:Subject:From;
 b=O/nGXUK0B6U2awOtLG4OK+ww1vAmvWSD9UvNADQpGlKzhnu5KbjBObp6lAvEVRVMr
 YBnjAB3shmqbTW/uy8KtpJWQmZAQXp7skDycwstj7JnIjJpknWSrPTpmXKDVeoZ5BE
 vHoUmXL+nK2BmEbj1BKpo1H2gVQFzneMLvEY2r8w=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH] Add date2name
Message-ID: <YNMAEZWdRC39gDCVHBz_cniWC4i4jHHBfWyp8ELtjLIS108av5r4134bqogTVLaI-9SUoE2FIiF4yufNclwGj-r_T_Sj5ZdNZVxzAP_m-U4=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.133;
 envelope-from=phodina@HIDDEN; helo=mail-40133.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 15 Jul 2021 12:09:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
index d8c3fbec07..ac9a5f940d 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -105,6 +105,7 @@
 ;;; Copyright =C2=A9 2021 Danial Behzadi <dani.behzi@HIDDEN>
 ;;; Copyright =C2=A9 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;; Copyright =C2=A9 2021 Hugo Lecomte <hugo.lecomte@HIDDEN>
+;;; Copyright =C2=A9 2021 Petr Hodina <phodina@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -904,6 +905,37 @@ iotop, uptime, pidof, tty, taskset, pmap.")
     (properties `((python2-variant . ,(delay python2-psutil))))
     (license license:bsd-3)))

+(define-public python-date2name
+(package
+  (name "date2name")
+  (version "6c8f37277e8ec82aa50f90b8921422be30c4e798")
+  (source (origin
+            (method git-fetch)
+            (uri
+=09      (git-reference
+=09=09(url "https://github.com/novoid/date2name")
+=09=09(commit version)))
+            (sha256
+             (base32
+              "1vq96b7n16d932nyfhnzwdwxff0zrqanidmwr4cxj2p67ad9y3w7"))))
+  (build-system python-build-system)
+  (arguments
+    `(#:tests? #f
+      #:phases
+      (modify-phases %standard-phases
+=09(delete 'build)
+=09(replace 'install
+=09 (lambda* (#:key outputs #:allow-other-keys)
+=09  (let* ((bindir (string-append (assoc-ref outputs "out") "/bin"))
+=09=09 (binary (string-append bindir "/date2name")))
+=09    (mkdir-p bindir)
+=09    (copy-file "date2name/__init__.py" binary)
+=09    (chmod binary #o555)))))))
+  (synopsis "Handling time-stamps and date-stamps in file names")
+  (description "Per default, date2name gets the modification time of match=
ing files and directories and adds a datestamp in standard ISO 8601+ format=
 YYYY-MM-DD (http://datestamps.org/index.shtml) at the beginning of the fil=
e- or directoryname.")
+  (home-page "https://github.com/novoid/date2name")
+  (license license:gpl3)))
+
 (define-public python2-psutil
   (let ((base (package-with-python2 (strip-python2-variant python-psutil))=
))
     (package/inherit base
--
2.31.1




Acknowledgement sent to phodina <phodina@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49575; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 25 Jul 2021 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.